PU

Inquiry

API to inquiry BPJS Kesehatan Penerima Upah (PU).

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
BPJSTKPU210300010000Success
BPJSTKPU210300010001Inquiry - Invoice Has Been Paid
BPJSTKPU210300010014Inquiry - Incorrect Destination Number
BPJSTKPU210300010103Inquiry - Time Out
BPJSTKPU210300011037Payment - Payment Failed
BPJSTKPU210300011039Payment - Pending / transaction in process
BPJSTKPU210300011105Payment - MISC Error / Biller System Error
BPJSTKPU21030001XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringBill NumberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
{
  "commands" : "inq-pasca",
  "username" : "123123123",
  "code"     : "BPJSTKPU",
  "hp"       : "210300010000",
  "ref_id"   : "091283746511",
  "sign"     : "6515c5094421834a85ed9ac7a0fe443b",
  "month"    : "1"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail